##############################################################################
#    Copyright (C) 2002  MM Manager.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##############################################################################

import Interface

class IPluginBase(Interface.Base):
    """
    General interface for MyMediaManager plugins.

    These methods need to be implemented by any class that wants to register
    as a plugin.
    """

    def getEditMethod(self):
        """
        Returns the edit action
        """
        
    # Not implemented by any plugin (tol)    
    #def install_plugin(self):
    #    """
    #    Installs the plugin into the portal
    #    """
        
    # Not implemented by any plugin (tol)    
    #def uninstall_plugin(self):
    #    """
    #    Uninstall the plugin from the portal
    #    """

    # Not implemented by any plugin (tol)    
    #def is_installed(self):
    #    """
    #    Returns a boolean indicating whether the plugin is installed or not
    #    """
