## Script (Python) "getAgendaVars"
##parameters=
##title=get variables for the Agenda
##
datetime = DateTime()
timenow = datetime.Time()
vars = {}
if context.meta_type == 'Media Manager Event':
    vars['isSubEvent'] = 0
    vars['title'] = 'Sub Event Title'
    vars['description'] = 'Sub Event Description'
    gstr = context.getStartStrings()
    day=gstr['day']
    month=gstr['month']
    year=gstr['year']
    now = "%s/%s/%s" % (str(year), str(month), str(day))
    vars['starttime'] = timenow
    vars['stoptime'] = timenow
    vars['startdate'] = now
    vars['stopdate'] = now

elif context.meta_type == 'Media Manager Sub Event':
    vars['isSubEvent'] = 1
    vars['starttime'] = context.getStartTimeString()
    vars['stoptime'] = context.getStopTimeString()
    ss = context.getStartStrings()
    vars['startdate'] = "%s/%s/%s" % (ss['year'], ss['month'], ss['day'])
    ss = context.getEndStrings()
    vars['stopdate'] = "%s/%s/%s" % (ss['year'], ss['month'], ss['day'])
    vars['title'] = context.title
    vars['description'] = context.description
else:
    raise "Wrong meta type %s" % context.meta_type

return vars